/**********************************************************************************/
/* scol v 4                                                                       */
/*                                                                                */
/* http.h                                                                         */
/*                                                                                */
/* cryonetworks, loc berthelot, aug 2001                                         */
/**********************************************************************************/


#ifndef _HTTP_H
#define _HTTP_H

#include <windows.h>
#include <wininet.h>
#include "../kernel/mmemory.h"


typedef struct transfert
{
	mmachine m;             //$ LB (24/08/2001) : add m to manage proxy http authentication via scolengine
	HANDLE thread;
	DWORD threadid;
	HINTERNET handle;
	HINTERNET handlebis;
	volatile BOOL wait;
	char *url;
	char *headerAdds;      //$ LB (27/08/2001) : add headerAdds field to fit with INETGetURLex2
	char *opt;
	char verb[16];
	int sizeopt;
	int *dead;
} transfert;



/********************************************************************/
/* scol v 4                                                         */
/*                                                                  */
/* DWORD HTTPThreadAuthorization (DWORD threadid, int processState) */
/*                                                                  */
/* check if the user gave the authentication infos. If he did so,   */
/* call HTTPThreadSetOptions to resend the request. If he didn't,   */
/* the request is rejected.                                         */
/*                                                                  */
/********************************************************************/
DWORD HTTPThreadAuthorization (DWORD threadid, int processState);


#endif
