//$ LB (13/06/2002) : added to fit with the new objbitmap structure and GDI management

#ifndef _BITMAP_H_
#define _BITMAP_H_



#include <windows.h>
#include "../x/objstr.h"


typedef struct BitmapInfo2
{
    BITMAPINFO Bit ;
    RGBQUAD Quad [ 256 ] ;
} BitmapInfo2 ;

typedef struct LPalette2
{
    WORD    Version ;
    WORD    ColorNum ;
    PALETTEENTRY Colors [256 ] ;
} LPalette ;




// create an objbitmap with a dibsection
void ObjBitmap_NewDIBSection (PtrObjBitmap B,PtrPalette P);

// transform a objbitmap created with manual malloc to a dibsection
int ObjBitmap_CreateDIBSection (PtrObjBitmap B);


#endif

