/****************************************************************************************/
/*                                                                                      */
/*              load_bitmaplist.h                                                       */
/*                                                                                      */
/****************************************************************************************/

#ifndef _LOAD_BITMAPLIST_H_
#define _LOAD_BITMAPLIST_H_



#include "objects/bitmaplist.h"



/****************************************************************************************************/
/*                                                                                                  */
/*      Package sur les liste de bitmaps                                                            */
/*                                                                                                  */
/****************************************************************************************************/

#define LISTBITMAPPKGSIZE   5

char * ListBitmapPkgName [ LISTBITMAPPKGSIZE ] = {
    "_CRbitmapList" , "_ADDbitmapList" , "_DELbitmapFromList" , "_GETbitmapListCount",
    "_DSbitmapList" , 
} ;


char * ListBitmapPkgType [ LISTBITMAPPKGSIZE ] = {
    "fun [ Chn I I ] ObjBitmapList" ,           /* _create_list_bitmap                  */ 
    "fun [ObjBitmapList ObjBitmap] BitmapIndex",/* _add_bitmap_list                     */ 
    "fun [ObjBitmapList BitmapIndex] ObjBitmapList",/*_remove_bitmap_from_list          */ 
    "fun [ObjBitmapList] I",                    /* _get_bitmap_list_count               */ 
    "fun [ObjBitmapList] I",                    /* _destroy_bitmap_list                 */ 

};

#define NARG_CREATE_LIST_BITMAP     3
#define NARG_ADD_BITMAP_LIST        2
#define NARG_REM_BITMAP_LIST        2
#define NARG_GET_BITMAP_LIST_COUNT  1
#define NARG_DESTROY_BITMAP_LIST    1

int ListBitmapPkgArg [ LISTBITMAPPKGSIZE ] = { 
    NARG_CREATE_LIST_BITMAP , NARG_ADD_BITMAP_LIST , NARG_REM_BITMAP_LIST , NARG_GET_BITMAP_LIST_COUNT ,
    NARG_DESTROY_BITMAP_LIST ,
};


int (* ListBitmapPkgFun [LISTBITMAPPKGSIZE ]) (mmachine m) = {
    GRCreateListBitmap , GRAddBitmapList , GRRemoveBitmapList , GRGetBitmapListCount ,
    GRDestroyBitmapList ,
};


#endif
