/****************************************************************************************/
/*                                                                                      */
/*              load_consts.h                                                           */
/*                                                                                      */
/****************************************************************************************/

#ifndef _LOAD_CONSTS_H_
#define _LOAD_CONSTS_H_






/************************************************************************************/ 
/*                                                                                  */ 
/*      Package des constantes : const.pkg                                          */ 
/*                                                                                  */ 
/************************************************************************************/ 

#define CONSTPKGSIZE 109

char * constpkgname [CONSTPKGSIZE] = {

/* constantes pour le SHOWwindow */ 
    "WINDOW_MINIMIZED" ,        "WINDOW_MAXIMIZED", /* 5 */ 
    "WINDOW_RESTORED",          "WINDOW_HIDDEN",
    "WINDOW_UNHIDDEN",
/* constante : flag pour les fenetre ObjWin */ 

    "WN_MINIMIZE",              "WN_NOBORDER",
    "WN_NOCAPTION",             "WN_NOCLIPCHILDREN",
    "WN_CHILDINSIDE",           "WN_CHILD",
    "WN_MINBOX",                "WN_SIZEBOX",
    "WN_MENU",                  "WN_NOFOCUS",
    "WN_DRAGDROP",              "WN_CHILDMENU",
    "WN_NORMAL",                "WN_HIDDEN",
    "WN_DIALOG",                "WN_DOWN",
    "WN_GROUP",                 "WN_MAXBOX",
    "WN_MODAL",                 "WN_HSCROLL",   /* 21 */ 
    "WN_VSCROLL",				"WN_NOBACKGROUND",
/* constantes : flag pour les objets textes */ 
    "ET_HSCROLL",               "ET_VSCROLL",
    "ET_ALIGN_CENTER",          "ET_ALIGN_LEFT",
    "ET_LOWERCASE",             "ET_NUMBER",
    "ET_PASSWORD",              "ET_BORDER",
    "ET_ALIGN_RIGHT",           "ET_AHSCROLL",
    "ET_AVSCROLL",              "ET_TABFOCUS",
    "ET_UPBORDER",              "ET_TRANSPARENT",   /* 18 */ 
    "ET_SIZEBOX",               "ET_HIDDEN",
    "ET_DOWN",                  "ET_DRAGDROP",
    "ET_NOEDIT",
/* constantes : flag pour les menus */ 
    "ME_SEPARATOR",             "ME_CHECKED",
    "ME_UNCHECKED",             "ME_ENABLED", /* 5*/ 
    "ME_DISABLED",
/* constantes : flags pour les push buttons */ 
    "PB_DEFAULT",               "PB_TABFOCUS",
    "PB_DOWN",                  "PB_DRAGDROP",  /* 4*/ 
/* constantes : flags pour les combo box   */ 
    "CB_AHSCROLL",              "CB_SORT",      /* 5*/ 
    "CB_NOEDIT",                "CB_TABFOCUS",
    "CB_DOWN",
/* constantes : falgs pour la creation des fonts */ 
    "FF_ITALIC",                "FF_WEIGHT",        /* 4 */ 
    "FF_UNDERLINE",             "FF_STRIKED",
	"FF_PIXEL",
/* constantes : option de trac ou de remplissage */ 
    "DRAW_SOLID",               "DRAW_INVISIBLE",
/* constantes : options pour text out */ 
    "TD_BASELINE",              "TD_BOTTOM",
    "TD_TOP",                   "TD_CENTER",
    "TD_LEFT",                  "TD_RIGHT",
/* constantes : flags pour les listes box */ 
    "LB_VSCROLL",               "LB_NOSELECTION",
    "LB_MULTICOLUMN",           "LB_BORDER",
    "LB_TABFOCUS",              "LB_HSCROLL",
    "LB_DOWN",                  "LB_MULTIPLE",
    "LB_DRAGDROP",
/* constates : flags pour les check box */ 
    "CH_TABFOCUS",              "CH_DOWN",
    "CH_RADIO",                 "CH_LEFT",
/* constantes : placement des menu contextuels */ 
    "PM_SCREEN",                "PM_HCENTER_ALIGN",
    "PM_LEFT_ALIGN",            "PM_RIGHT_ALIGN",
    "PM_BOTTOM_ALIGN",          "PM_TOP_ALIGN",
    "PM_VCENTER_ALIGN",
/* constantes : tri des arbres, flags des arbres */ 
    "TREE_INSERT_FIRST",        "TREE_INSERT_SORT",
    "TREE_INSERT_LAST",         "TV_BORDER",
    "TV_DOWN",                  "TV_HSCROLL",
    "TV_VSCROLL",               "TV_BUTTON",
/* constantes : lsite multiples */ 
    "LV_BORDER",                "LV_DOWN",
    "LV_SINGLESEL",
/* flag pour l'edition de rich text */ 
    "RTF_FLAG_UNDERLINE",       "RTF_FLAG_BOLD",
    "RTF_FLAG_ITALIC",          "RTF_FLAG_STRIKED",
    "RTF_FLAG_OFFSET",
} ;
           

char * constpkgtype [CONSTPKGSIZE] = {
/* constantes pour le SHOWwindow */ 
    "I",                        "I",
    "I",                        "I",
    "I",
/* constante : flag pour les fenetres ObjWin */ 
    "I",                        "I",    
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
/* constantes : flag pour les objets textes */ 
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",
/* constantes : flag pour les menus */ 
    "I",                        "I",
    "I",                        "I",
    "I",
/* constantes : flags pour les push buttons */ 
    "I",                        "I",
    "I",                        "I",
/* constantes : flags pour les combo box  */ 
    "I",                        "I",
    "I",                        "I",
    "I",
/* constantes : flags pour la creation des fonts */ 
    "I",                        "I",
    "I",                        "I",
	"I",
/* constantes : option pour le tracer et le remplissage */ 
    "I",                        "I",
/* constantes : options pour text out */ 
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
/* constantes : flags pour les list box */ 
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",
/* constantes : flags pour les checks box */ 
    "I",                        "I",
    "I",                        "I",
/* constantes : placement menu contextuels */ 
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",
/* constantes : tri et flags des arbres */ 
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",
    "I",                        "I",   
/* constantes : flags pour liste multiples */ 
    "I",                        "I",
    "I",
/* constantes : flags pour l'edition des rich text */ 
    "I",                        "I",
    "I",                        "I",
    "I",
};


int constpkgnarg [CONSTPKGSIZE] = {
/* constantes pour le SHOWwindow */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : flag pour les fenetres ObjWin */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
/* constantes : flag pour les objets textes */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : flag pour les menus */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : flags pour les push buttons   */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
/* constantes : flags pour les combo box */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : flags pour la creation des fonts */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
	TYPVAR,
/* constantes: mode pour le tracer ou de remplissage    */ 
    TYPVAR,                     TYPVAR,
/* constantes ; options pour text out */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
/* constates : flags pour les list box */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : flags pour les check box */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
/* constantes : placement des menus contextuels */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : tri et flags des arbres */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
/*constantes : flags pour listes multiples */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,
/* constantes : edition d'un rich text */ 
    TYPVAR,                     TYPVAR,
    TYPVAR,                     TYPVAR,
    TYPVAR,
};

int (*constpkgfun[CONSTPKGSIZE])(mmachine m) = {
/* constantes pour le SHOWwindow */ 
    (void *) (1*2),             (void *) (2*2),         /* 5*/ 
    (void *) (3*2),             (void *) (4*2),
    (void *) (5*2),
/* constantes : flag pour les fenetres ObjWin */ 
    (void *) (1*2),             (void *) ((1<<1)*2),    /* 21 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),        (void *) ((1<<4)*2),
    (void *) ((1<<6)*2),        (void *) ((1<<7)*2),
    (void *) ((1<<8)*2),        (void *) ((1<<10)*2),
    (void *) ((1<<11)*2),       (void *) ((1<<12)*2),
    (void *) (448*2),           (void *) ((1<<13)*2),
    (void *) ((1<<14)*2),       (void *) ((1<<15)*2),
    (void *) ((1<<16)*2),       (void *) ((1<<17)*2),
    (void *) ((1<<18)*2),       (void *) ((1<<19)*2),
    (void *) ((1<<20)*2),       (void *) ((1<<22)*2),
/* constantes : flag pour les objets textes */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 18 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),        (void *) ((1<<5)*2),
    (void *) ((1<<6)*2),        (void *) ((1<<7)*2),
    (void *) ((1<<8)*2),        (void *) ((1<<9)*2),
    (void *) ((1<<10)*2),       (void *) ((1<<11)*2),
    (void *) ((1<<12)*2),       (void *) ((1<<13)*2),
    (void *) ((1<<14)*2),       (void *) ((1<<15)*2),
    (void *) ((1<<16)*2),       (void *) ((1<<17)*2),
    (void *) ((1<<18)*2),
/* constantes : flag pour les menus */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 5 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),
/* constantes : flags pour les push buttons    */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 4*/ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
/* constantes : flags pour les combo box */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 5*/ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),
/* constantes : flags pour la creation des fonts */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 4*/ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
	(void *) ((1<<4)*2),
/* constantes : pour le trac et le remplissage */ 
    (void *) (1*2),             (void *) (2*2),         /* 2 */ 
/* constantes : options pour text out */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 6 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),        (void *) ((1<<5)*2),
/* constantes : flags pour les list box */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 9 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),        (void *) ((1<<5)*2),
    (void *) ((1<<6)*2),        (void *) ((1<<7)*2),
    (void *) ((1<<8)*2),       
/* constantes : flags pour les check box */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 4 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
/* constantes : placement des menus contextuels */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 7 */ 
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),        (void *) ((1<<5)*2),
    (void *) ((1<<6)*2),  
/* constantes : tri et flags des arbres */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 8*/ 
    (void *) ((1<<2)*2),        (void *) ((1<<0)*2),        
    (void *) ((1<<1)*2),        (void *) ((1<<2)*2),    
    (void *) ((1<<3)*2),        (void *) ((1<<4)*2), 
/* constantes : flags pour liste multiples */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),    /* 3*/ 
    (void *) ((1<<4)*2),
/* constantes : flags pour l'dition des rich texte */ 
    (void *) ((1<<0)*2),        (void *) ((1<<1)*2),
    (void *) ((1<<2)*2),        (void *) ((1<<3)*2),
    (void *) ((1<<4)*2),
};  





#endif
