/********************************************/
/*                                          */
/* bitmaplist.h                             */
/*                                          */
/********************************************/



#ifndef _BITMAPLIST_H_
#define _BITMAPLIST_H_


#include "x/scolplugin.h"
#include "x/version.h"



/********************************************************************************************/ 
/*                                                                                          */ 
/*      Declaration des fonction du package sur les liste de bitmaps                        */ 
/*                                                                                          */ 
/********************************************************************************************/ 

/* fonction sur les bitmap list */
HIMAGELIST NewBitmapList ( PtrObjListBitmap L ) ;

int GRCreateListBitmap  ( mmachine m ) ;    /* creation d'une liste de bitmap               */ 
int GRAddBitmapList     ( mmachine m ) ;    /* ajout d'un bitmap a une liste de bitmap      */ 
int GRRemoveBitmapList  ( mmachine m ) ;    /* retire un bitmap d'une liste de bitmaps      */ 
int GRGetBitmapListCount( mmachine m ) ;    /* retourne le nombre d'element d'une liste     */ 
int GRDestroyBitmapList ( mmachine m ) ;    /* detruit une image list                       */ 
 

#endif