/********************************************/
/*                                          */
/* button.h                                 */
/*                                          */
/********************************************/



#ifndef _BUTTON_H_
#define _BUTTON_H_


#include "x/scolplugin.h"
#include "x/version.h"




/****************************************************************************************/ 
/*                                                                                      */ 
/*      Declaration des fonctions du package button.pkg                                 */ 
/*                                                                                      */ 
/****************************************************************************************/ 

HWND NewObjPushButton ( PtrObjButton Psh , char * Name , HWND Parent , int Dialog ) ;

HWND NewObjPushButtonBitmap ( PtrObjPushButtonBitmap Pb , HWND Parent , int Dialog ) ;

int GRCreatePushButton  ( mmachine m ) ; /* creation d'un pushbutton                           */ 
int GRPaintObjButton    ( mmachine m ) ; /* paint obj pour les push buttons                    */ 
int GRReflexButtonEvent ( mmachine m ) ; /* definition du callback event pour les boutons      */ 
int GRDestroyObjButton  ( mmachine m ) ; /* destruction d'un pushbutton                        */ 
int GRCreateCheckBox    ( mmachine m ) ; /* cree une check box                                 */ 
int GRGetCheckBox       ( mmachine m ) ; /* regarde l'etat d'une check box                     */ 
int GRSetCheckBox       ( mmachine m ) ; /* modifie l'etat d'une check box                     */ 
int GRCreatePushButtonBitmap ( mmachine m ) ; /* cree un push button avec images               */ 
int GRReflexCheckEvent  ( mmachine m ) ; /* definition du callback event pour les checkbox     */ 
int GRSetButtonBitmap   ( mmachine m ) ; /* change le bitmap d'un bouton bitmap                */ 
int GRReflexButtonDropFile  ( mmachine m ) ; /* reflexe de drop file des boutons               */ 

#endif