/********************************************/
/*                                          */
/* combo.h                                  */
/*                                          */
/********************************************/



#ifndef _COMBO_H_
#define _COMBO_H_


#include "x/scolplugin.h"
#include "x/version.h"




/****************************************************************************************/
/*                                                                                      */
/*      Declaration des fonctions du package combo.pkg                                  */
/*                                                                                      */
/****************************************************************************************/

HWND NewObjComboBox ( PtrObjCombo Cb , char * Name , HWND Parent , int Dialog ) ;

int GRCreateComboBox ( mmachine m ) ;   /* cree une combo box vide                            */
int GRAddComboItem ( mmachine m ) ;     /* ajoute un element a une combo                      */
int GRDelComboItem ( mmachine m ) ;     /* enleve un element a une combo d'apres sa position  */
int GRGetComboCount ( mmachine m ) ;    /* retorune la taille du combo en elements            */
int GRResetCombo ( mmachine m ) ;       /* efface tout les elements de la combo box           */
int GRGetComboSelection ( mmachine m ) ;/* saisie la selection actuelle d'une combo box       */
int GRGetComboItem ( mmachine m ) ;     /* renvoie le neme item d'une combo box               */
int GRSelectCombo ( mmachine m ) ;      /* donne une selection pour une combo box             */
int GRPaintCombo ( mmachine m ) ;       /* repaint une combo box                              */
int GRDestroyCombo ( mmachine m ) ;     /* detruit une combo box                              */
int GRDelComboString ( mmachine m ) ;   /* enleve un element selon son libelle a une combo    */
int GRSelectComboPosition ( mmachine m);/* selectionne un des elements de la combo box        */
int GRGetComboPosition ( mmachine m ) ;     /* retourne le rang d'une selection               */
int GRReflexComboSelect ( mmachine m ) ;/* precise le reflexe a executer apres une selection  */

#endif