/********************************************/
/*                                          */
/* font.h                                   */
/*                                          */
/********************************************/



#ifndef _FONT_H_
#define _FONT_H_


#include "x/scolplugin.h"
#include "x/version.h"




/****************************************************************************************/
/*                                                                                      */
/*      Declaration des fonctions du package font.pkg                                   */
/*                                                                                      */
/****************************************************************************************/

extern HFONT DefaultFont ;

HFONT NewObjFont ( PtrObjFont F , char * Name ) ;

int GRCreateFont ( mmachine m ) ;       /* cree un objet font                                 */
int GRAffectFont ( mmachine m ) ;       /* affecte une police de caractere a un objet         */
int GRDestroyObjFont ( mmachine m ) ;   /* destruction d'une police de caractere              */
int GRGetStringSize ( mmachine m ) ;    /* retourne le rectangle d'une chaine de caractere    */
int GRSetDefaultFont ( mmachine m ) ;   /* definir la police par default                      */
int GRGetDefaultFont ( mmachine m ) ;   /* retourne l'actuelle police par default             */

#endif