/********************************************/
/*                                          */
/* listbox.h                                */
/*                                          */
/********************************************/



#ifndef _LISTBOX_H_
#define _LISTBOX_H_


#include "x/scolplugin.h"
#include "x/version.h"




/********************************************************************************************/ 
/*                                                                                          */ 
/*  Declaration des fonctions des package des list box                                      */ 
/*                                                                                          */ 
/********************************************************************************************/ 

HWND NewObjListBox ( PtrObjCombo Cb , char * Name , HWND Parent ) ;

int GRpushListElement(mmachine m,HWND Child,int pos);

int GRCreateListBox     ( mmachine m )  ;   /* cree une list box                            */ 
int GRAddListItem       ( mmachine m )  ;   /* ajoute un element a la list box              */ 
int GRDelListItem       ( mmachine m )  ;   /* detruit un element d'apres sa position       */ 
int GRDelListString     ( mmachine m )  ;   /* detruit un element                           */ 
int GRSelectListItem    ( mmachine m )  ;   /* selectionne un element d'apres sa position   */ 
int GRSelectListString  ( mmachine m )  ;   /* donne une selection                          */ 
int GRGetListPosition   ( mmachine m )  ;   /* donne la position d'un element               */ 
int GRReflexListClick   ( mmachine m )  ;   /* reflex dans le cas d'un click                */ 
int GRReflexListDClick  ( mmachine m )  ;   /* reflex dans le cas d'un double click         */ 
int GRDestroyList       ( mmachine m )  ;   /* destroy list                                 */ 
int GRGetListCount      ( mmachine m )  ;   /* donne le nombre d'element d'une listbox      */ 
int GRPaintObjList      ( mmachine m )  ;   /* repeint un objet listbox                     */  
int GRSetListColumn     ( mmachine m )  ;   /* definit la largeur des colonnes d'une listbox*/ 
int GRGetListSelection  ( mmachine m )  ;   /* retourne la selection actuelle de la listbox */ 
int GRResetList         ( mmachine m )  ;   /* detruit tout les elements d'une list box     */ 
int GRGetListMultipleSelection ( mmachine m ) ; /* retourne la liste de toutes les selection*/ 
int GRReflexListDropFile ( mmachine m ) ;   /* reflexe pour le drag & drop sur une list box */ 
 

#endif