/********************************************/
/*                                          */
/* listtab.h                                */
/*                                          */
/********************************************/



#ifndef _LISTTAB_H_
#define _LISTTAB_H_


#include "x/scolplugin.h"
#include "x/version.h"




/********************************************************************************************/ 
/*                                                                                          */ 
/*      Declaration des fonctions du package sur les liste multicolonnes                    */ 
/*                                                                                          */ 
/********************************************************************************************/ 

HWND NewListView ( PtrObjListTab L , HWND Parent ) ;

int GRCreateListTab     ( mmachine m ) ;    /* creation d'une list tab                      */ 
int GRAddListTabColumn  ( mmachine m ) ;    /* ajout d'une colonne a une list tab           */ 
int GRRemoveListTabColumn ( mmachine m ) ;  /* suppression d'une colonne dans une liste tab */ 
int GRAddListTabItem    ( mmachine m ) ;    /* ajout d'un element dans la liste             */ 
int GRSetListTabItem    ( mmachine m ) ;    /* change un label dans une des colonnes        */ 
int GRDestroyListTab    ( mmachine m ) ;    /* detruit une liste tab                        */ 
int GRDeleteListTabItem ( mmachine m ) ;    /* supprime une ligne d'une liste tab           */ 
int GRSetListTabBitmaps ( mmachine m ) ;    /* affecte une liste de bitmap petite icone     */ 
int GRSetListTabBitmap  ( mmachine m ) ;    /* affecte un bitmap a un choix de la liste     */ 
int GRReflexListTabSort ( mmachine m ) ;    /* definit le reflexe de tri                    */ 
int GRSortListTab       ( mmachine m ) ;    /* tri la liste                                 */ 
int GRSetListTabSortParam ( mmachine m ) ;  /* positionne le parametre de tri               */ 
int GRReflexListTabColumn ( mmachine m);    /* reflexe pour la selection d'une colonne      */ 
int GRReflexListTabDClick ( mmachine m ) ;  /* reflexe pour le double click sur une listview*/ 
int GRReflexListTabSelect ( mmachine m ) ;  /* reflexe de selection dans une list view      */ 
int GRReflexListTabRSelect ( mmachine m );  /* reflexe de selection bouton droit dans une list view      */ 
int GRResetListTab        ( mmachine m ) ;  /* efface toute les lignes d'un list tab        */ 
int GRGetCountListTab   ( mmachine m ) ;    /* retourne le nombre d'element d'une listview  */ 
 

#endif