/********************************************/
/*                                          */
/* menu.h                                   */
/*                                          */
/********************************************/



#ifndef _MENU_H_
#define _MENU_H_


#include "x/scolplugin.h"
#include "x/version.h"



/****************************************************************************************/ 
/*                                                                                      */ 
/*      Declaration des fonctions du package menu.pkg                                   */ 
/*                                                                                      */ 
/****************************************************************************************/ 
  

HMENU NewObjMenu ( ) ;

int GRCheckHiddenWindow ( mmachine m , HWND h ); 

int GRCreateMenu ( mmachine m ) ;       /* cree un menu affecte a une fenetre                 */ 
int GRAppendPopup ( mmachine m ) ;      /* ajoute un sous menu a un menu                      */ 
int GREnableMenuItem ( mmachine m ) ;   /* met un menu item en position actif                 */ 
int GRDisableMenuItem ( mmachine m ) ;  /* met un menu item en position inactif               */ 
int GRAppendMenuBitmap ( mmachine m  ); /* ajoute un choix a un menu sous la forme d'un bitmap*/ 
int GRAppendPopupBitmap ( mmachine m ) ;/* ajoute un popup avec un bitmap en guise de libelle */ 
int GRCreateMenuItemString (mmachine m);/* ajoute un cham pa un menu et cree l'objet associe  */ 
int GRReflexMenuSelect ( mmachine m ) ; /* definit le reflex de selection d'un choix de menu  */ 
int GRCheckMenuItem ( mmachine m ) ;    /* check/uncheck un menu item                         */ 
int GRGetCheckMenuItem ( mmachine m ) ; /* saisie l'etat checked/unchecked d'un choix de menu */ 
int GRPaintObjMenu ( mmachine m ) ;     /* repeind un objet menu                              */ 
int GRDestroyMenuItem ( mmachine m ) ;  /* detruit un element de menu                         */ 
int GRDestroyObjMenu ( mmachine ) ;     /* detruit un menu                                    */ 
int GRCreatePopupMenu ( mmachine m ) ;  /* cree un menu contextuel                            */ 
int GRDrawMenu ( mmachine m ) ;         /* affcihe un menu contexuel                          */ 
int GRSetMenuItemBitmap ( mmachine m ) ; /* positionne un bitmap pour un menu item            */ 
int GRCheckMenu         ( mmachine m ); /* positionne l'etat checked / unchecked d'un menu    */ 

#endif