/********************************************/
/*                                          */
/* richtext.h                               */
/*                                          */
/********************************************/



#ifndef _RICHTEXT_H_
#define _RICHTEXT_H_


#include "x/scolplugin.h"
#include "x/version.h"


/*******************************************************************************************/ 
/*                                                                                         */ 
/*      Declaration des fonctions du package rich edit text.pkg                            */ 
/*                                                                                         */ 
/*******************************************************************************************/ 
 
HWND NewObjRichText ( PtrObjText Text , char * Texte , HWND Parent , int Dialog ) ;

/* declaration des fonctions pour l'alteration des riches edit textes */
void SetRichTextFont ( HWND h , char * FontName , int start , int end ) ;
void SetRichTextColor ( HWND h , int Color , int start , int end ) ;
void SetRichTextUnderline ( HWND h , int onoff , int start , int end ) ;
void SetRichTextBold ( HWND h , int onoff , int start , int end ) ;
void SetRichTextHeight ( HWND h , int taille , int start , int end ) ;
void SetRichTextItalic ( HWND h , int onoff , int start , int end ) ;
void SetRichTextStrikeout ( HWND h , int onoff , int start , int end ) ;
void SetRichTextOffset ( HWND h , int offset , int start , int end ) ;

int GRCreateRichText    ( mmachine m ) ; /* creation d'un texte riche                          */ 
int GRSetRichTextColor  ( mmachine m ) ; /* changement de la couleur dans un rich edit text    */ 
int GRSetRichTextBold   ( mmachine m ) ; /* mise en gras/normal dans un rich edit text         */ 
int GRGetCharFromPos    ( mmachine m ) ; /* obtient l'index du caractere selon des coordonnees */ 
int GRReflexRichText    ( mmachine m ) ; /* definit le reflexe du rich text obj                */ 
int GRSetRichTextUnderline ( mmachine m );/* place en souligne une portion d'un rich edit text */ 
int GRSetRichTextFont   ( mmachine m ) ; /* change la police pour un rich edit text            */ 
int GRSetRichTextItalic ( mmachine m ) ; /* place en italique ou non, une portion d'un r e t   */ 
int GRSetRichTextStrikeout ( mmachine m ) ; /* barre ou debarre une porition d'un r e t        */ 
int GRSetRichTextOffset ( mmachine m ) ;  /* donne un nouvo decalage vertical                  */ 
int GRDestroyRichText   ( mmachine m ) ;  /* detruit un rich edit texte                        */ 
int GRSetTextRichText   ( mmachine m ) ;  /* donne un nouveau texte a l'objet RT               */ 
int GRAddTextRichText   ( mmachine m ) ;  /* ajoute un objet texte a l'objet RT                */ 
int GRSetRichTextSize   ( mmachine m ) ;  /* change la taille dans un objet RT                 */ 
int GRReflexRichTextDropFile ( mmachine m ) ;/*reflex pour le dropfile sur un objet RT         */ 
int GRRtfRichText       ( mmachine m ) ;  /* donne un text au format RTF                       */ 
int GRGetRichLineCount  ( mmachine m ) ;  /* get rich line count                               */ 
int GRDelRichTextLine   ( mmachine m ) ;  /* supprime une ligne dans un objet text riche       */ 
int GRSetBkgColorRichText (mmachine m);   /* change la couleur de background dans un text riche*/ 

#endif