/********************************************/
/*                                          */
/* text.h                                   */
/*                                          */
/********************************************/



#ifndef _TEXT_H_
#define _TEXT_H_



#include "x/scolplugin.h"
#include "x/version.h"

/****************************************************************************************/ 
/*                                                                                      */ 
/*      Declaration des fonctions du package text.pkg                                   */ 
/*                                                                                      */ 
/****************************************************************************************/ 


HWND NewObjText ( PtrObjText Text , char * Texte , HWND Parent , int Dialog ) ;
HWND NewObjEditLine ( PtrObjText Text , char * Texte , HWND Parent , int Dialog ) ;
HWND NewObjEditText ( PtrObjText Text , char * Texte , HWND Parent , int Dialog ) ;


/* fonction sur les objets textes */
void SetText ( HWND HW , char * Texte ) ;
void GetLine ( HWND HW , char * Buffer , int Line );
void GetText ( HWND HW , char * Buffer ) ;
int  GetLineCount ( HWND HW ) ;
void AddText ( HWND W , char * Text ) ;

int GRCreateText        ( mmachine m ) ; /* creation d'un texte statique                       */ 
int GRSetText           ( mmachine m ) ; /* modification du texte d'une zone textuelle         */ 
int GRCreateEditLine    ( mmachine m ) ; /* creation d'une saisie d'une simple ligne           */ 
int GRPaintObjText      ( mmachine m ) ; /* paint obj pour les objets textes                   */ 
int GRReflexTextEvent   ( mmachine m ) ; /* definit le reflex event d'un objet texte           */ 
int GRCreateEditText    ( mmachine m ) ; /* creation d'une zone de texte editable              */ 
int GRGetLine           ( mmachine m ) ; /* saisie d'une ligne d'une edition de texte          */ 
int GRGetText           ( mmachine m ) ; /* renvoit le texte contenu dans un objet texte       */ 
int GRGetLineCount      ( mmachine m ) ; /* renvoi la taille, en ligne d'un objet texte        */ 
int GRAddText           ( mmachine m ) ; /* ajoute/concatene du texte au texte existant        */ 
int GRDelTextLine       ( mmachine m ) ; /* supprime une ligne dans un objet texte multiligne  */ 
int GRScrollText        ( mmachine m ) ; /* fait un scroll dans un rectangle de texte          */ 
int GRDestroyObjText    ( mmachine m ) ; /* detruit un objet texte                             */ 
int GRGetFirstLine      ( mmachine m ) ; /* recupere l'index de la premiere visible            */ 
int GRReflexTextMove    ( mmachine m ) ; /* definit le reflexe d'un objet text a un move       */ 
int GRReflexTextSize    ( mmachine m ) ; /* definit le reflexe size d'un objet texte           */ 
int GRReflexLineOk      ( mmachine m ) ; /* definit le reflexe OK d'une edit line              */ 
int GRSetTextSize       ( mmachine m ) ; /* definit la taille en caracter d'un objet texte     */ 
int GRSetFirstLine      ( mmachine m ) ; /* positionne la premiere ligne visible d'un texte    */ 
int GRReflexTextDropFile ( mmachine m ) ;/* reflexe pour le drag&drop de fichier sur un objtext*/ 

#endif