

#define OS_WINDOWS 0x0100
#define OS_MAC     0x0200
#define OS_UNIX    0x0400

typedef unsigned short osinfo;
enum __osinfo
{
    // bits 0-7    = index de l'os
    // bits 8-15   = famille de l'os
    kOsInfoUnknown              = 0,
    kOsInfoWin95                = (1 | OS_WINDOWS),
    kOsInfoWin98                = (2 | OS_WINDOWS),
    kOsInfoWinMe                = (3 | OS_WINDOWS),
    kOsInfoWinNT4               = (4 | OS_WINDOWS),
    kOsInfoWin2000              = (5 | OS_WINDOWS),
    kOsInfoWinXp                = (6 | OS_WINDOWS),
    kOsInfoWinUnknown           = (7 | OS_WINDOWS),
    kOsInfoMac                  = (8 | OS_MAC),
    kOsInfoUnix                 = (9 | OS_UNIX)
};

// retrieve OsInfo
osinfo GetOsInfo();

// init scol machine
int initOsInfo(mmachine m);