/*****************************************/
/*                                       */
/* tests.h                               */
/*                                       */
/*****************************************/



#ifndef _TESTS_H_
#define _TESTS_H_




int (*tstscoldead)(int i);


/*************************************************************************************/
/*                                                                                   */
/*  void GRTestReflexLine ( HWND h ) ;                                               */
/*  Cette fonction est appele apres qu'une touche ENTER a ete activee dans un       */
/*  objet text edit line. La fonction appelle le reflexe lineOk de l'objet alors     */
/*                                                                                   */
/*************************************************************************************/

int GRTestReflexLine ( HWND h );



/***************************************************************************************/
/*                                                                                     */
/*  void GRTestTextTransparent ( HWND h , HDC hdcedit ) ;                              */
/*                                                                                     */
/*  Cette fonction est appele lors d'un reaffichage dans un objet texte.               */
/*  Elle verifie que l'objet est transparent, puis place l'objet en mode transparent   */
/*                                                                                     */
/***************************************************************************************/

void GRTestTextTransparent ( HWND h , HDC hdcedit);



/**************************************************************************************/
/*                                                                                    */
/*  void GRTestDefaultButton ( HWND h ) ;                                             */
/*  h est la fenetre parente. Cette fonction regarde si h correspond bien a une       */
/*  fenetre de type dialogue, et dans ce cas, declenche l'evenement du bouton qui     */
/*  a ete cree comme le bouton par defaut                                             */
/*                                                                                    */
/**************************************************************************************/

void GRTestDefaultButton( HWND h );



/******************************************************************************************/
/*                                                                                        */
/*  void GRTestTabFocus ( HWND hwnd , int type ) ;                                        */
/*                                                                                        */
/*  Cette fonction est appelee quand un objet de handler hwnd , et de type TYPE, recoit   */
/*  un appui de la touche TAB. Dans ce cas, on verifie que l'objet possede un flag        */
/*  TABFOCUS, et alors on passe le focus au controle suivant qui possede ce flag          */
/*                                                                                        */
/******************************************************************************************/


void GRTestTabFocus ( HWND hwnd , int type );



#endif