/***********************************************/
/*                                             */
/* utils.c                                     */
/*                                             */
/***********************************************/


#include "x/scolplugin.h"
#include "x/version.h"

int CSTmakeRGB(mmachine m)
{
int r,g,b ;

    b = MMpull(m) >> 1 ;
    g = MMpull(m) >> 1 ;
    r = MMpull(m) >> 1 ;    
    return MMpush(m,(r + ( g << 8 ) + ( b << 16 ))<<1) ;
}

/****************************************************************************************/
/*                                                                                      */
/*  fonction void ReadyText ( char * Text )                                             */
/*                                                                                      */
/*  Cette fonction dedouble le \n en \r\n dans un texte                                 */
/*                                                                                      */
/****************************************************************************************/
void ReadyText ( char * Text )
{
    int i , j ;
    char Buf [ MAX_TEXT ] ;

    if ( Text == NULL ) return ;

    strcpy ( Buf , Text ) ;
    i = 0 ; j = 0 ;
    while ( Buf [ i ] )
    {
        if ( j >= MAX_TEXT - 3 ) break ;    
        if ( Buf [ i ] == '\n' ) Text [ j ++ ] = '\r' ;
        Text [ j ++ ] = Buf [ i ++ ] ;
    }
    Text [ j ] = 0 ;
            
}


/*****************************************************************************/
/*                                                                           */
/*          Fonction de Debug 2D                                             */
/*                                                                           */
/*****************************************************************************/

void FDebug2D ( mmachine m )
{
    /*
    MMgc(m) ; 
    MMgc ( m )  ;*/

}



int GRDebug ( mmachine m ) 
{
    return MMpush(m,(m->pp - m->topheap)<<1) ;
}




