/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////*****************************************************************************************************////////////////
///////////////** 																									**///////////////
//////////////**								~ Zoo Engine (Moteur 3D pour SCOL) ~								 **//////////////
/////////////**											  ~ version 1.0 ~											  **/////////////
/////////////**																										  **/////////////
//////////////**										par Pacme DANHIEZ		  									 **//////////////
///////////////** 																									**///////////////
////////////////*****************************************************************************************************////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///																																  ///
///		FICHIER :	ZooWorld.h																									  ///
///																																  ///
///		NATURE	:	Dfinition des principales classes qui dfinissent le mode 3D												  ///
///																																  ///
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////








#ifndef __ZOOCONTAINER_H__
#define __ZOOCONTAINER_H__



#include	"..\Basic\ZooStd.h"









///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/// ZContainer Class
///
///		- Class of general container of non hierarchical datas
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class ZContainer : public ZNode
{

public:

	///////////////////////////////////////////////////////////////////////////
	/// Constructor	& Destructor											///
	///////////////////////////////////////////////////////////////////////////
	ZContainer(int typeID);
	~ZContainer();


	///////////////////////////////////////////////////////////////////////////
	/// Delete all the components in the container							///
	///////////////////////////////////////////////////////////////////////////
	void FreeContainer();
};





#endif