/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////*****************************************************************************************************////////////////
///////////////** 																									**///////////////
//////////////**								~ Zoo Engine (Moteur 3D pour SCOL) ~								 **//////////////
/////////////**											  ~ version 1.0 ~											  **/////////////
/////////////**																										  **/////////////
//////////////**										par Pacme DANHIEZ		  									 **//////////////
///////////////** 																									**///////////////
////////////////*****************************************************************************************************////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///																																  ///
///		FICHIER :	ZooWorld.h																									  ///
///																																  ///
///		NATURE	:	Dfinition des principales classes qui dfinissent le mode 3D												  ///
///																																  ///
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////








#ifndef __ZOOGARBAGE_H__
#define __ZOOGARBAGE_H__



#include	"..\Basic\ZooStd.h"
#include	"..\Scene Graph\ZooSound.h"












///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
/// ZGarbage Class
///
///		- Classe des garbages
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class ZGarbage : public ZNode
{

public:

	
	
	///////////////////////////////////////////////////////////////////////////
	/// Constructor	& Destructor											///
	///////////////////////////////////////////////////////////////////////////
	ZGarbage();
	~ZGarbage();


	///////////////////////////////////////////////////////////////////////////
	/// Clean the garbage													///
	///////////////////////////////////////////////////////////////////////////
	void Clean();

	
};




#endif