/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////*****************************************************************************************************////////////////
///////////////** 																									**///////////////
//////////////**								~ Zoo Engine (Moteur 3D pour SCOL) ~								 **//////////////
/////////////**											  ~ version 1.0 ~											  **/////////////
/////////////**																										  **/////////////
//////////////**										par Pacme DANHIEZ		  									 **//////////////
///////////////** 																									**///////////////
////////////////*****************************************************************************************************////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///																																  ///
///		FICHIER :	ZooColl.cpp																									  ///
///																																  ///
///		NATURE	:	Gestion des collisions par une *vieille* version - version collision de SCOL -								  ///
///																																  ///
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





#include "..\Scene Graph\ZooColl.h"












///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///		ZColl Class
///
///		- Classe des collisions (sphre et OBB)
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
///////////////////////////////////////////////////////////////////////////
/// Constructor															///
///////////////////////////////////////////////////////////////////////////
ZColl::ZColl(int s3d, int coll_type) : ZNodeGraph(s3d)
{
	type = COL_TYPE_ID;

	pos.SetNull();
	u.SetNull();
	v.SetNull();
	w.SetNull();
	rayon = 0.0f;

	typeColl = coll_type;

	colA = colB = NULL;
}



///////////////////////////////////////////////////////////////////////////
/// Constructor															///
///////////////////////////////////////////////////////////////////////////
ZColl::~ZColl()
{
	if(colA!=NULL)		delete colA;
	if(colB!=NULL)		delete colB;

	ZNodeGraph::~ZNodeGraph();
}































