


/* definition de la structure buffer - Sylvain Huet */

//
// Modifications History
//
//$LB (07/12/2003) : added REALerror state value to warn the user he doesn't have the codec
//

#ifdef _MYREALBUF_
#else
#define _MYREALBUF_

#include "../x/scolplugin.h"


struct MyRealBuf
{
	int id;
	int size;
	short *buf;
	int width;
	int height;
	mmachine m;
	char *login;
	char *password;
};
typedef struct MyRealBuf *myrealbuf;



//$LB (10/12/2003)  : store the pointer to the last myreal struct created.
//                    used by (exerror.cpp)ExampleErrorSink::ErrorOccurred to
//                    warn the user the video codec is missing
extern myrealbuf lastreal;


struct RenderBuffer
{
  short *start;
  int nextline;
  int nbcolumn;
  int nblines;
};
typedef struct RenderBuffer *renderbuffer;

#define RFLREAL_NB 2
#define RFLREAL_IMAGE 0
#define RFLREAL_STATE 1
extern int typeReal;

#define REALbuffering 0
#define REALcontacting 2
#define REALonBegin 4
#define REALonPause 6
#define REALonStop 8
#define REALonClosed 10
#define REALonOpened 12
#define REALposition 14

//$LB (07/12/2003)
#define REALerror 16

#endif
	