//
// File: codec.h
// Codec registering and initialisation interface
// Created: 17/07/2001
// Last Modified: 17/07/2001
//


//
// Modifications History
//
//$ LB (06/06/2002) : changed codec functions format (cbPkgCodec, McodeRegister, McodeCall)
//



#ifndef _CODEC_H_
#define _CODEC_H_


#ifdef __cplusplus
extern "C" {
#endif

// Initialise la liste des codecs de packages
int McodecInit();

// Enregistre un codec de packages
int McodecRegister(int (*fun)(char *buf, int sizeBuf, int sizeData, int *sizeNeeded, int (*identify)(char* src, char* dst)));

//#ifdef SERVER
int McodecCall(char** buf, int *size);
//#endif


#ifdef __cplusplus
}
#endif


#endif // codec.h