#ifndef _COBJMESSAGESELECT_H_
#define _COBJMESSAGESELECT_H_


#include "CObjMessage.h"

#define NB_OF_ACTION	2						//nombre d'actions prdfinies
#define ACT_MOUSEHOVER	0						//la souris passe au dessus d'un lment
#define ACT_MOUSECLICK	1						//la souris clique sur un lment


class CObjMessageSelect:public CObjMessage
{
private:
	int index;									//index de l'lment
	int action;									//action applique sur l'lment

public:
	CObjMessageSelect(int index, int action, int redrawobject);	//constructeur
	virtual ~CObjMessageSelect();				//destructeur

	int GetIndex();								//retourne l'index de l'lment
	int GetAction();							//retourne l'action applique sur l'lment
};


#endif