/****************************************************************************************/
/*                                                                                      */
/*              load_combo.h                                                            */
/*                                                                                      */
/****************************************************************************************/

#ifndef _LOAD_COMBO_H_
#define _LOAD_COMBO_H_


#include "objects/combo.h"




/*****************************************************************************************/
/*                                                                                       */
/*          Package des Combo Box                                                        */
/*                                                                                       */
/*****************************************************************************************/

#define BOXPKGSIZE 19

char * boxpkgname [ BOXPKGSIZE ] = {
    "_CRcombo" , "_ADDcombo" , "_DELcombo" , "_GETcomboCount" ,
    "_RSTcombo" , "_GETcombo" , "_SSELcombo" ,"_PAINTcombo" ,
    "_DScombo" , "_GETcomboSizePosition" , "_SIZEcombo" , "_SDELcombo" ,
    "_SELcombo" , "_POScombo" , "_CBcombo" , "_GETcomboPositionSize",
    "_POSITIONcombo" , "_SHOWcombo" ,"_ENcombo",
} ;

char * boxpkgtype [ BOXPKGSIZE ] = {
    "fun [ Chn ObjWin I I I I I S ] ObjBox",                /* _create_combo_box            */ 
    "fun [ ObjBox I S ] ObjBox",                            /* _add_combo_item              */ 
    "fun [ ObjBox I ] ObjBox",                              /* _del_combo_item              */ 
    "fun [ ObjBox ] I",                                     /* _get_combo_count             */ 
    "fun [ ObjBox ] ObjBox",                                /* _reset_combo                 */ 
    "fun [ ObjBox ] [I S]",                                 /* _get_combo                   */ 
    "fun [ ObjBox S ] ObjBox",                              /* _select_combo_string         */ 
    "fun [ ObjBox ] ObjBox" ,                               /* _PAINTcombo                  */ 
    "fun [ ObjBox ] I" ,                                    /* destroy_combo_box            */ 
    "fun [ ObjBox ] [ I I I I ]" ,                          /* _get_combo_size_position     */ 
    "fun [ ObjBox I I I I ] ObjBox" ,                       /* _size_combo                  */ 
    "fun [ ObjBox S ] ObjBox" ,                             /* _del_combo_string            */ 
    "fun [ ObjBox I ] ObjBox" ,                             /* _select_combo_position       */ 
    "fun [ ObjBox S ] I",                                   /* _get_combo_position          */  
    "fun [ ObjBox fun [ ObjBox u0 I S] u1 u0] ObjBox",      /* _reflex_combo_select         */ 
    "fun [ ObjBox ] [ I I I I ]",                           /* _get_combo_position_size     */ 
    "fun [ ObjBox I I I I ] ObjBox",                        /* _pos_combo                   */ 
    "fun [ ObjBox I ] ObjBox" ,                             /* _show_combo                  */ 
    "fun [ ObjBox I ] ObjBox" ,                             /* _enable_combo                */ 
} ;

#define NARG_CREATE_COMBO_BOX           8
#define NARG_ADD_COMBO_ITEM             3
#define NARG_DEL_COMBO_ITEM             2
#define NARG_GET_COMBO_COUNT            1
#define NARG_RESET_COMBO                1
#define NARG_GET_COMBO_SELECTION        1
#define NARG_SELECT_COMBO               2
#define NARG_PAINT_COMBO                1
#define NARG_DESTROY_COMBO              1
#define NARG_DEL_COMBO_STRING           2
#define NARG_GET_COMBO_POSITION         2
#define NARG_REFLEX_COMBO_SELECT        3
#define NARG_SHOW_COMBO                 2

int boxpkgarg [ BOXPKGSIZE ] = {
    NARG_CREATE_COMBO_BOX , NARG_ADD_COMBO_ITEM , NARG_DEL_COMBO_ITEM , NARG_GET_COMBO_COUNT ,
    NARG_RESET_COMBO , NARG_GET_COMBO_SELECTION , NARG_SELECT_COMBO , NARG_PAINT_COMBO ,
    NARG_DESTROY_COMBO , NARG_GET_SIZE_POSITION_WINDOW , NARG_RESIZE_WINDOW , NARG_DEL_COMBO_STRING ,
    NARG_SELECT_COMBO , NARG_GET_COMBO_POSITION , NARG_REFLEX_COMBO_SELECT , NARG_GET_SIZE_POSITION_WINDOW ,
    NARG_RESIZE_WINDOW , NARG_SHOW_COMBO , NARG_ENABLE_WINDOW ,
} ;

int (*boxpkgfun [ BOXPKGSIZE ]) ( mmachine m) = {
    GRCreateComboBox , GRAddComboItem , GRDelComboItem , GRGetComboCount ,
    GRResetCombo , GRGetComboSelection , GRSelectCombo , GRPaintCombo ,
    GRDestroyCombo , GRGetSizePositionWindow, GRResizeWindow , GRDelComboString ,
    GRSelectComboPosition, GRGetComboPosition , GRReflexComboSelect , GRGetPositionSizeWindow ,
    GRReposWindow , GRShowWindow , GREnableWindow ,
} ;



#endif
