/****************************************************************************************/
/*                                                                                      */
/*              load_video.h                                                            */
/*                                                                                      */
/****************************************************************************************/

#ifndef _LOAD_VIDEO_H_
#define _LOAD_VIDEO_H_


#include "video/video.h"



#define NVIDEOPKG 15

char* videoname[NVIDEOPKG]=
  {"_CRcapWindow","_DScapWindow","_ENUMcapDevices","Video",
   "_SETcapVideoStart","_SETcapVideoStop","_InvertCapBitmap","_c15to24",
   "_c24to15","_DifStr","_AddStr","_c15to32",
   "_c32to15","_DLGcapSource","_DLGcapFormat"};
int (*videofun[NVIDEOPKG])(mmachine m)=
  {_CRCapWindow,_DSCapWindow,_ENUMCapDevices,NULL,
   _SETcapVideoStart,_SETcapVideoStop,_InvertCapBitmap,c15to24,
   c24to15,DifStr,AddStr,c15to32,
   c32to15,_DLGcapSource,_DLGcapFormat};
int videonarg[NVIDEOPKG]=
  {9,1,1,TYPTYPE,
   3,1,2,1,
   1,2,2,1,
   1,1,1};
char* videotype[NVIDEOPKG]=
   /*    chn mere   drv x y w h vis ms/Frame */
  {"fun [Chn ObjWin I   I I I I I   I] Video","fun [Video] Video","fun [I] S",NULL,
   "fun [Video fun [Video u0 S] u1 u0] Video","fun [Video] Video","fun [S I] S","fun [S] S",
   "fun [S] S","fun [S S] S","fun [S S] S","fun [S] S",
   "fun [S] S","fun [Video] Video","fun [Video] Video"};

#define NVDOCODECPKG 3

char* vdocodecname[NVDOCODECPKG]=
{"_JComp","_JCompInit","_JDecomp"};

int (*vdocodecfun[NVDOCODECPKG])(mmachine m)=
{JComp,JCompInit,JDecomp};

int vdocodecnarg[NVDOCODECPKG]=
{3,1,4};

char* vdocodectype[NVDOCODECPKG]=
{"fun [S I I] S","fun [I] I","fun [S I I I] S"};



#endif
