/********************************************/
/*                                          */
/* cursor.h                                 */
/*                                          */
/********************************************/



#ifndef _CURSOR_H_
#define _CURSOR_H_


#include "x/scolplugin.h"
#include "x/version.h"




/********************************************************************************************/ 
/*                                                                                          */ 
/*  Declaration des fonctions du package sur les curseurs                                   */ 
/*                                                                                          */ 
/********************************************************************************************/ 
 
extern HCURSOR   arrowCursor;

int GRCreateCursor  ( mmachine m )      ;   /* cree un curseur souris                       */ 
int GRGetCursorSize ( mmachine m )      ;   /* recupere la taille systeme des curseur       */ 
int GRSetCursor     ( mmachine m )      ;   /* affecte un nouveau curseur a une fenetre     */ 
int GRDestroyCursor ( mmachine m )      ;   /* detruit un curseur                           */ 
int GRGetCursor     ( mmachine m )      ;   /* retourne le curseur d'un objet               */ 
int GRSetCursorPos  ( mmachine m )      ;   /* positionne la souris dans une fenetre        */ 
int GRGetCursorPos  ( mmachine m )      ;   /* donne la pos par rapport a une window        */ 
int GRShowCursor    ( mmachine m )      ;   /* affiche ou desactive la souris               */ 
 

#endif