/********************************************/
/*                                          */
/* tree.h                                   */
/*                                          */
/********************************************/



#ifndef _TREE_H_
#define _TREE_H_


#include "x/scolplugin.h"
#include "x/version.h"




/********************************************************************************************/ 
/*                                                                                          */ 
/*  Declaration des fonctions du packages sur les arbres                                    */ 
/*                                                                                          */ 
/********************************************************************************************/ 

/* fonction sur les arbres */
HWND NewObjTree ( PtrObjTree T , HWND Parent ) ;

int GRCreateTree        ( mmachine m ) ;    /* creation d'un arbre                          */ 
int GRAddTreeChild      ( mmachine m ) ;    /* ajout d'un enfant dans un arbre              */ 
int GRSetTreeBitmap     ( mmachine m ) ;    /* donne une liste de bitmap a un treeview      */ 
int GRSetTreeItemBitmap ( mmachine m ) ;    /* selectionne 2 bitmaps pour un tree item      */ 
int GRGetTreeChild      ( mmachine m ) ;    /* retourne le premier fils d'un element d'arbre*/ 
int GRGetTreeBrother    ( mmachine m ) ;    /* retourne le frere suivant d'un objet         */ 
int GRSetTreeItemLabel  ( mmachine m ) ;    /* change le label d'un element de l'arbre      */ 
int GRSetTreeItemState  ( mmachine m ) ;    /* selectionne l'etat ferme/ouvert d'un arbre   */ 
int GRGetTreeItemState  ( mmachine m ) ;    /* retourne l'etat 0ferme/1ouvert du noeud      */ 
int GRReflexTreeExpand  ( mmachine m ) ;    /* definit le reflexe pour l'action open/close  */ 
int GRReflexTreeSelect  ( mmachine m ) ;    /* definit le reflexe pour la selection         */ 
int GRReflexTreeDrag    ( mmachine m ) ;    /* definit le reflex drag et drop des arbres    */ 
int GRDestroyTree       ( mmachine m ) ;    /* detruit un arbre                             */ 
int GRDestroyTreeItem   ( mmachine m ) ;    /* detruit un element de l'arbre                */ 
int GRReflexTreeClick   ( mmachine m ) ;    /* reflexe de click sur un arbre                */ 
int GRReflexTreeUnclick ( mmachine m ) ;    /* reflexe de unclick sur un arbre              */ 
int GRReflexTreeDClick  ( mmachine m ) ;    /* reflexe de double click sur un element       */ 
int _SELtreeItem(mmachine m);
int _SELlistTabItem(mmachine m);
 

#endif