/* Popfile.h */

#ifndef __POPFILE_H__
#define __POPFILE_H__

typedef struct OFNArg
{
  int id;
  SOCKET sock;
  HWND hwnd;
  OPENFILENAME ofn;
  BOOL err;
} OFNArg;

typedef struct MBOXArg
{
  int id;
  SOCKET sock;
  HWND hwnd;
  char * string;
  char * title;
  int flags;
  int ret;
  BOOL err;
} MBOXArg;

#define MAX_FILES 128

typedef struct TSCFile
{
  FILE * file;
  int socket;
} TSCFile;


//////////////////////////////////////////////////////////

int FILEOpen(mmachine m);
int FILEClose (mmachine m);
int FILESeek (mmachine m);
int FILETell (mmachine m);
int FILESize (mmachine m);
int FILEWrite (mmachine m);
int FILEPrint (mmachine m);
int FILERead (mmachine m);
int GetFileNameFromP (mmachine m);

#endif // define __POPFILE_H__