/* AudioCmp.h
   Sebastien Metrot
*/

#ifndef __AUDIOCMP_H__
#define __AUDIOCMP_H__

int AudioCrunch4bit (mmachine m);
int AudioDecrunch4bit (mmachine m);
int AudioCrunch2bit (mmachine m);
int AudioDecrunch2bit (mmachine m);
int AudioUnInterpol2 (mmachine m);
int AudioInterpol2 (mmachine m);
int AudioGsmInit (mmachine m);
int AudioGsmDestroy (mmachine m);
int AudioGsmCrunch (mmachine m);
int AudioGsmDecrunch (mmachine m);
int AudioGsmCrunch16 (mmachine m);
int AudioGsmDecrunch16 (mmachine m);
int AudioNormalyse16 (mmachine m);
int AudioNormalyse8 (mmachine m);
int AudioNoiseGate16 (mmachine m);
int AudioNoiseGate8 (mmachine m);
int AudioGsmSetNoiseLevel (mmachine m);
int AudioGetLevel16 (mmachine m);
int AudioGetLevel8 (mmachine m);


#endif