#include	<malloc.h>
#include	<stdio.h>
#include	<stdlib.h>
#include	<io.h>
#include	<fcntl.h>
#include	<sys/stat.h>


#include <windows.h>

/*
#include "../kernel/mmemory.h"
#include "../kernel/listlab.h"
#include "../kernel/mbytec.h" 
#include "../kernel/scol.h"
#include "../kernel/fifo.h"

#include "../kernel/scolobj.h"
*/

#include "x/Version.h"
#include "x/scolplugin.h"

 
#include "jdecomp.h"
 
typedef		int		BLKDCT8[64];

#define		IDCT_Precision_Shift	1
#define		IDCT_Precision_Base		(1 << IDCT_Precision_Shift)
#define		Decentrage_Bas			( -16*IDCT_Precision_Base*255 )
#define		Decentrage_Haut			(  16*IDCT_Precision_Base*255 )

#define FIX_SHIFT  16
#define FIX_BASE   ( 1 << FIX_SHIFT )
#define MULT(var,const) ( ((var) * (const))/FIX_BASE )

#define FIX_0_382683433  25080L
#define FIX_0_541196100  35468L
#define FIX_0_707106781  46341L
#define FIX_1_306562965  85627L
 
#define FIX_1_082392200  70936L
#define FIX_1_414213562  92682L
#define FIX_1_847759065  121095L
#define FIX_2_613125930  171254L

  const char zigzag8[64]
           ={
               0, 1, 8,16, 9, 2, 3,10,
              17,24,32,25,18,11, 4, 5,
              12,19,26,33,40,48,41,34,
              27,20,13, 6, 7,14,21,28,
              35,42,49,56,57,50,43,36,
              29,22,15,23,30,37,44,51,
              58,59,52,45,38,31,39,46,
              53,60,61,54,47,55,62,63
            };

  const char zagzig8[64]
          ={
               0, 1, 5, 6,14,15,27,28,
               2, 4, 7,13,16,26,29,42,
               3, 8,12,17,25,30,41,43,
               9,11,18,24,31,40,44,53,
              10,19,23,32,39,45,52,54,
              20,22,33,38,46,51,55,60,
              21,34,37,47,50,56,59,61,
              35,36,48,49,57,58,62,63
           };

  const int  AAN_Scale8[64]
          ={
             16384, 22725, 21407, 19266, 16384, 12873,  8867,  4520,
             22725, 31521, 29692, 26722, 22725, 17855, 12299,  6270,
             21407, 29692, 27969, 25172, 21407, 16819, 11585,  5906,
             19266, 26722, 25172, 22654, 19266, 15137, 10426,  5315,
             16384, 22725, 21407, 19266, 16384, 12873,  8867,  4520,
             12873, 17855, 16819, 15137, 12873, 10114,  6967,  3552,
              8867, 12299, 11585, 10426,  8867,  6967,  4799,  2446,
              4520,  6270,  5906,  5315,  4520,  3552,  2446,  1247
           };

  const int Luminance_Standard8[64]
         ={
            16, 11, 10, 16, 24, 40, 51, 61,
            12, 12, 14, 19, 26, 58, 60, 55,
            14, 13, 16, 24, 40, 57, 69, 56,
            14, 17, 22, 29, 51, 87, 80, 62,
            18, 22, 37, 56, 68,109,103, 77,
            24, 35, 55, 64, 81,104,113, 92,
            49, 64, 78, 87,103,121,120,101,
            72, 92, 95, 98,112,100,103, 99
          };

  const int Chrominance_Standard8[64]
         ={
            17, 18, 24, 47, 99, 99, 99, 99,
            18, 21, 26, 66, 99, 99, 99, 99,
            24, 26, 56, 99, 99, 99, 99, 99,
            47, 66, 99, 99, 99, 99, 99, 99,
            99, 99, 99, 99, 99, 99, 99, 99,
            99, 99, 99, 99, 99, 99, 99, 99,
            99, 99, 99, 99, 99, 99, 99, 99,
            99, 99, 99, 99, 99, 99, 99, 99
          };

  signed char *decentrage;
  signed char tab_decentrage[ Decentrage_Haut-Decentrage_Bas+1 ];

//------------------------------------------
  typedef	short int		BLKCRT8[64*3];

	int				quanti_jpeg[64*3];		// Table des quantifiants pour le JPEG
	BLKCRT8			blk;
  

 typedef struct pixel_tga {
	unsigned char	B;
	unsigned char	G;
	unsigned char	R;
 } PIXEL_TGA;							// 3 octets

 typedef struct pixel_rgb {
	unsigned char	B;
	unsigned char	G;
	unsigned char	R;
	unsigned char	flag;
 } PIXEL_RGB;							// 4 octets

 typedef struct pixel_yuv {
	signed char		nul;
	signed char		Y;
	signed char		U;
	signed char		V;
 } PIXEL_YUV;							// 4 octets

 typedef struct pixel_xyz {
	unsigned char		Z;
	unsigned char		Y;
	unsigned char		X;
	unsigned char		flag;
 } PIXEL_XYZ;							// 4 octets

int	nb_8x8_X;
int	nb_pxl_X;
int	nb_pxl_Y;
int	flip_jpg;
	int				nb_pxl_total;
	int				nb_8x8_total;
	PIXEL_RGB		*ref_rgb;
	PIXEL_YUV		*tmp_yuv;
	PIXEL_RGB		*ref_jpg;

 
	int				jpeg_qualite;
	unsigned char		*buf_jpg;
 	int					ptr_jpg;
 #define		CODE_EOB		0
 #define		CODE_Z4			1
 #define		CODE_Z1_P1		2
 #define		CODE_Z1_M1		3
 #define		CODE_Z2_P1		4
 #define		CODE_Z2_M1		5
 #define		CODE_Z3_P1		6
 #define		CODE_Z3_M1		7
 #define		CODE_NZ_NV2		8
 #define		CODE_NZ_NV4		9
 #define		CODE_2V2		10
 #define		CODE_1V4		11
 #define		CODE_2V4		12
 #define		CODE_3V4		13
 #define		CODE_Z1			14
 #define		CODE_1V8		15

	
#pragma pack (push ,1)

 typedef struct TGA_entete {
	char			comment_size;		// Taille du commentaire
	char			cmap_type;			// 1:LUT 0:Pas de LUT
	char			image_type;			// mode TGA:	2  = Couleur, non comprss
										// 				10 = Couleur, comprss
	unsigned short	cmap_offset;		// Position du premier index de LUT
	unsigned short	cmap_lenght;		// Taille de la LUT
	char			cmap_depth;			// Nbre bits constituant une entre LUT
	unsigned short	image_X;			// Origine en X de l'image
	unsigned short	image_Y;			// Origine en Y de l'image
	unsigned short	image_width;		// Nbre pixels en largeur de l'image
	unsigned short	image_height;		// Nbre pixels en hauteur de l'image
	char			image_depth;		// Nbre bits pour codage d'un pixel
	char			image_descr;		// Descripteur format TGA
 } TGA_ENTETE;							// 18 octets

#pragma pack (pop)

TGA_ENTETE		tga_entete;
	char			srce[64]={"cerf.jpg\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"};
	char			dest[64]={"serf.tga\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"};
	int	taille_jpg;

  //
void	IDCT_8x8( BLKDCT8* bloc )
{
 int	compteur;
 int	t0, t1, t2, t3, t4, t5, t6, t7, t10, t11, t12, t13;
 int	z5, z10, z11, z12, z13;
 int	*data;

	/* On commence par les colonnes */
	data = (int *)bloc;
	for ( compteur = 0; compteur < 8; compteur++ )
	{
		/* Partie paire */
		t10 = data[0*8] + data[4*8];
		t11 = data[0*8] - data[4*8];
		t13 = data[2*8] + data[6*8];
		t12 = MULT( data[2*8] - data[6*8], FIX_1_414213562 ) - t13;
		t0 = t10 + t13;
		t3 = t10 - t13;
		t1 = t11 + t12;
		t2 = t11 - t12;

		/* Partie impaire */
		z13 = data[5*8] + data[3*8];
		z10 = data[5*8] - data[3*8];
		z11 = data[1*8] + data[7*8];
		z12 = data[1*8] - data[7*8];
		t7  = z11 + z13;
		t11 = MULT( z11 - z13, FIX_1_414213562);
		z5 = MULT( z10 + z12, FIX_1_847759065 );
		t10 = MULT( z12,  FIX_1_082392200 ) - z5;
		t12 = MULT( z10, -FIX_2_613125930 ) + z5;
		t6 = t12 - t7;
		t5 = t11 - t6;
		t4 = t10 + t5;
		data[0*8] = t0 + t7;
		data[7*8] = t0 - t7;
		data[1*8] = t1 + t6;
		data[6*8] = t1 - t6;
		data[2*8] = t2 + t5;
		data[5*8] = t2 - t5;
		data[4*8] = t3 + t4;
		data[3*8] = t3 - t4;
		data++;
	}

	/* On finit par les lignes */
	data = (int *)bloc;
	for ( compteur = 0; compteur < 8; compteur++ )
	{
		/* Partie paire */
		t10 = data[0] + data[4];
		t11 = data[0] - data[4];
		t13 = data[2] + data[6];
		t12 = MULT( data[2] - data[6], FIX_1_414213562 ) - t13;
		t0 = t10 + t13;
		t3 = t10 - t13;
		t1 = t11 + t12;
		t2 = t11 - t12;

		/* Partie impaire */
		z13 = data[5] + data[3];
		z10 = data[5] - data[3];
		z11 = data[1] + data[7];
		z12 = data[1] - data[7];
		t7  = z11 + z13;
		t11 = MULT( z11 - z13, FIX_1_414213562);
		z5 = MULT( z10 + z12, FIX_1_847759065 );
		t10 = MULT( z12,  FIX_1_082392200 ) - z5;
		t12 = MULT( z10, -FIX_2_613125930 ) + z5;
		t6 = t12 - t7;
		t5 = t11 - t6;
		t4 = t10 + t5;
		data[0] = t0 + t7;
		data[7] = t0 - t7;
		data[1] = t1 + t6;
		data[6] = t1 - t6;
		data[2] = t2 + t5;
		data[5] = t2 - t5;
		data[4] = t3 + t4;
		data[3] = t3 - t4;
		data += 8;
	}
}

//
int		Calcul_Echelle( int qualite )
{
	if ( qualite < 0 ) qualite = 1;
	else
		if ( qualite > 100 ) qualite = 100;

	if ( qualite < 50 )  qualite = 5000 / qualite;
	else                 qualite = 200 - qualite*2;

	return( qualite );
}

//
void	Calcul_Luminance8( int qualite, int *tab_quanti )
{
 int	i, tmp;

	qualite = Calcul_Echelle( qualite );
	for ( i = 0; i < 64; i++ )
	{
		tmp  = ( Luminance_Standard8[i]*qualite + 50L ) / 100;
		if ( tmp <= 0 ) tmp = 1;
		else
			if ( tmp > 255 ) tmp = 255;

		tab_quanti[i] = tmp;
	}
}

//

void	Calcul_Chrominance8( int qualite, int *tab_quanti )
{
 int	i, tmp;

	qualite = Calcul_Echelle( qualite );
	for ( i = 0; i < 64; i++ )
	{
		tmp  = ( Chrominance_Standard8[i]*qualite + 50L ) / 100;
		if ( tmp <= 0 ) tmp = 1;
		else
			if ( tmp > 255 ) tmp = 255;

		tab_quanti[i] = tmp;
	}
}

//
//			Initialisation du decentrage

void	Init_Decentrage()
{
 int	i, tmp;

	for ( i = 0; i <= Decentrage_Haut-Decentrage_Bas; i++ )
	{
		tmp = 128 + ( i+Decentrage_Bas ) / ( 8*IDCT_Precision_Base );

		if ( tmp < 0 ) tmp = 0;
		else
		if ( tmp > 255 ) tmp = 255;

		tab_decentrage[i] = (signed char)(tmp - 128);
	}

	decentrage = tab_decentrage - Decentrage_Bas;
}
//
//			Rourines de normalisation

void	Normalise_Inverse8( int *tab_quanti )
{
 int	i;

	for ( i = 0; i < 64; i++ )
		tab_quanti[i] = ( tab_quanti[i]*AAN_Scale8[i] ) >> ( 14 - IDCT_Precision_Shift );
}


//
void JPEG_Init_Quanti_Decomp( int	facteur_qualite )
{
 int	i, j, k;
 int	quanti_lum[64];
 int	quanti_chr[64];

	Calcul_Luminance8( facteur_qualite, quanti_lum );
    Normalise_Inverse8( quanti_lum );
    Calcul_Chrominance8( facteur_qualite, quanti_chr );
    Normalise_Inverse8( quanti_chr );

	j = 0;
	for( i = 0; i < 64; i++ )
	{
		k = zigzag8[i];
		quanti_jpeg[j++] = quanti_lum[k];
		quanti_jpeg[j++] = quanti_chr[k];
		quanti_jpeg[j++] = quanti_chr[k];
	}
}

//
void JPEG_Recompose_Bloc( short int *bloc, PIXEL_YUV *blkYUV )
{
 int		k, c, d;
 BLKDCT8    conv_Y, conv_U, conv_V;

	// Zig-Zag inverse
	for( d = 0, k = 0; k < 64; k++ )
	{
		c = zigzag8[k];
		conv_Y[c] = bloc[d++];
		conv_U[c] = bloc[d++];
		conv_V[c] = bloc[d++];
	}

	// FDCT des trois blocs
	IDCT_8x8( &conv_Y );
    IDCT_8x8( &conv_U );
    IDCT_8x8( &conv_V );

	// calcul des trois blocs
	for( d = 0; d < 64; d++ )
	{
		blkYUV[d].Y = decentrage[conv_Y[d]];
		blkYUV[d].U = decentrage[conv_U[d]];
		blkYUV[d].V = decentrage[conv_V[d]];
	}
}

//
void JPEG_Dequantification_Bloc( short int  *blk )
{
 int	j;

	for( j = 0; j < 192; j++ )
	{
		blk[j] *= quanti_jpeg[j];
	}
}

//
void Copie_blk_img( PIXEL_YUV *blkYUV, PIXEL_YUV *imgYUV, int index )
{
 int a, d, k, l;

	a = (index % nb_8x8_X)*8 + (index / nb_8x8_X)*8*nb_pxl_X;
	d = 0;
	for( k = 0; k < 8; k++ )
	{
		for( l = 0; l < 8; l++ )
		{
			imgYUV[a].Y = blkYUV[d].Y;
			imgYUV[a].U = blkYUV[d].U;
			imgYUV[a].V = blkYUV[d].V;
			d++;
			a++;
		}
		a += nb_pxl_X-8;
	}
}

//
void Copie_img_blk( PIXEL_YUV *imgYUV, PIXEL_YUV *blkYUV, int index  )
{
 int a, d, k, l;

	a = (index % nb_8x8_X)*8 + (index / nb_8x8_X)*8*nb_pxl_X;
	d = 0;
	for( k = 0; k < 8; k++ )
	{
		for( l = 0; l < 8; l++ )
		{
			blkYUV[d].Y = imgYUV[a].Y;
			blkYUV[d].U = imgYUV[a].U;
			blkYUV[d].V = imgYUV[a].V;
			d++;
			a++;
		}
		a += nb_pxl_X-8;
	}
}

//
unsigned char Lit_rle4()
{
	if( flip_jpg == 0 )
	{
		flip_jpg = 1;
		return( buf_jpg[ptr_jpg] & 0xF );
	}
	else
	{
		flip_jpg = 0;
		return( (buf_jpg[ptr_jpg++] >> 4) & 0xF );
	}
}

//
short int Decode2( unsigned char c )
{
	if( (c & 2) == 0 )
	{
		return( ++c );
	}
	else
	{
		return( c | 0xFFFC );
	}
}

//
short int Decode4( unsigned char c )
{
	if( (c & 8) == 0 )
	{
		return( ++c );
	}
	else
	{
		return( c | 0xFFF0 );
	}
}

//
short int Decode8( unsigned char c, unsigned char d )
{
 short int s;

	s = c;
	s <<= 4;
	s += d;
	if( (s & 0x80) == 0 )
	{
		return( s );
	}
	else
	{
		return( s | 0xFF00 );
	}
}

//
void JPEG_Lit_Bloc( short int	*bloc )
{
 unsigned char c, d;
 int	i, j, k, e, n, end;

	for( n = 0; n < 192; n += 64 )
	{
		end = n + 64;

		c = Lit_rle4();
		d = Lit_rle4();
		blk[n] = Decode8( c, d );
		for( i = n+1; i < end; )
		{
			c = Lit_rle4();
			switch( c )
			{
				case CODE_EOB:
				{
					for( ; i < end; i++ ) blk[i] = 0;
					break;
				}
				case CODE_Z4:
				{
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 0;
					break;
				}
				case CODE_Z1_P1:
				{
					blk[i++] = 0;
					blk[i++] = 1;
					break;
				}
				case CODE_Z1_M1:
				{
					blk[i++] = 0;
					blk[i++] = -1;
					break;
				}
				case CODE_Z2_P1:
				{
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 1;
					break;
				}
				case CODE_Z2_M1:
				{
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = -1;
					break;
				}
				case CODE_Z3_P1:
				{
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 1;
					break;
				}
				case CODE_Z3_M1:
				{
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = 0;
					blk[i++] = -1;
					break;
				}
				case CODE_NZ_NV2:
				{
					c = Lit_rle4();
					d = Lit_rle4();
					e = 1 + i + (c >> 2);
					c &= 3;
					for( ; i < e; i++ ) blk[i] = 0;
					blk[i++] = Decode2(  d >> 2 );
					blk[i++] = Decode2( d & 3 );
					if( c > 0 )
					{
						d = Lit_rle4();
						blk[i++] = Decode2( d >> 2 );
						if( c > 1 )
						{
							blk[i++] = Decode2( d & 3 );
							if( c > 2 )
							{
								d = Lit_rle4();
								blk[i++] = Decode2( d >> 2 );
							}
						}
					}
					break;
				}
				case CODE_NZ_NV4:
				{
					c = Lit_rle4();
					e = 1 + i + (c >> 2);
					c &= 3;
					for( ; i < e; i++ ) blk[i] = 0;
					blk[i++] = Decode4( Lit_rle4() );
					if( c > 0 )
					{
						blk[i++] = Decode4( Lit_rle4() );
						if( c > 1 )
						{
							blk[i++] = Decode4( Lit_rle4() );
							if( c > 2 )
							{
								blk[i++] = Decode4( Lit_rle4() );
							}
						}
					}
					break;
				}
				case CODE_2V2:
				{
					d = Lit_rle4();
					blk[i++] = Decode2( d >> 2 );
					blk[i++] = Decode2( d & 3 );
					break;
				}
				case CODE_1V4:
				{
					blk[i++] = Decode4( Lit_rle4() );
					break;
				}
				case CODE_2V4:
				{
					blk[i++] = Decode4( Lit_rle4() );
					blk[i++] = Decode4( Lit_rle4() );
					break;
				}
				case CODE_3V4:
				{
					blk[i++] = Decode4( Lit_rle4() );
					blk[i++] = Decode4( Lit_rle4() );
					blk[i++] = Decode4( Lit_rle4() );
					break;
				}
				case CODE_Z1:
				{
					blk[i++] = 0;
					break;
				}
				case CODE_1V8:
				{
					c = Lit_rle4();
					d = Lit_rle4();
					blk[i++] = Decode8( c, d );
					break;
				}
			}
		}
	}

	k = 0;
	for( i = 0; i < 3; i++)
	{
 		for( j = i; j < 192; j += 3 )
		{
			 bloc[j] = blk[k++];
		}
	}
}

//
void JPEG_Init_Lecture()
{
	flip_jpg = 0;
	ptr_jpg = 0;
}

//
//
//
//
void JPEG_Decompression( PIXEL_YUV *imgYUV )
{
 int	i;
 PIXEL_YUV	blkYUV[64];
 BLKCRT8	blkCRT;

	JPEG_Init_Lecture();

	JPEG_Init_Quanti_Decomp( jpeg_qualite );

	for( i = 0; i < nb_8x8_total; i++ )
	{
		if( flip_jpg == 1 )
		{
			ptr_jpg++;
			flip_jpg = 0;
		}
		JPEG_Lit_Bloc( blkCRT );
		JPEG_Dequantification_Bloc( blkCRT );
		JPEG_Recompose_Bloc( blkCRT, blkYUV );
		Copie_blk_img( blkYUV, imgYUV, i );
	}
}


//
// R = Y + 16/10(V-127)
// G = Y - 8/10(V-127) -1/3(U-127)
// B = Y + 2(U-127)

void Convertit_Image_YUV_RGB( PIXEL_YUV *image_yuv, PIXEL_RGB *image_rgb )
{
 int	red, green, blue;
 int	lum, cb, cr;
 int	i;

	for( i = 0; i < nb_pxl_total; i++ )
	{
		lum = image_yuv[i].Y+128;
		cb  = image_yuv[i].U;
		cr  = image_yuv[i].V;

		red	  = lum + (16*cr)/10;
		green = lum - cb/3 -(8*cr)/10;
		blue  = lum + 2*cb;

		if( blue < 0 )	blue = 0;
		else
			if( blue > 255 )	blue = 255;

		if( green < 0 )	green = 0;
		else
			if( green > 255 )	green = 255;

		if( red < 0 )	red = 0;
		else
			if( red > 255 )	red = 255;

		image_rgb[i].B = blue & 0xF8;
		image_rgb[i].G = green & 0xFC;
		image_rgb[i].R = red & 0xF8;
	}
}

//
//
//
//
void Erreur( char* message )
{
	MMechostr(MSKDEBUG,"ERROR:\n     %s\n", message );
//	getch();
//	exit(0);
}
/*
//
void Charge_JPG( char *fichier )
{
 int		handle;

	if( ( handle = open( fichier, O_RDONLY | O_BINARY) ) < 0 )
	{
		Erreur("Impossible d'ouvrir le fichier source\n");
	}
	if( read( handle, &tga_entete, sizeof(TGA_ENTETE) ) != sizeof(TGA_ENTETE) )
	{
		Erreur("Problme lors de la lecture entete fichier source\n");
	}
	if( read( handle, &jpeg_qualite, sizeof(int) ) != sizeof(int) )
	{
		Erreur("Problme lors de la lecture entete fichier source\n");
	}
	if( read( handle, &nb_pxl_X, sizeof(int) ) != sizeof(int) )
	{
		Erreur("Problme lors de la lecture entete fichier source\n");
	}
	if( read( handle, &nb_pxl_Y, sizeof(int) ) != sizeof(int) )
	{
		Erreur("Problme lors de la lecture entete fichier source\n");
	}
	if( read( handle, &taille_jpg, sizeof(int) ) != sizeof(int) )
	{
		Erreur("Problme lors de la lecture entete fichier source\n");
	}

	read( handle, buf_jpg, taille_jpg );
	
	nb_pxl_total = nb_pxl_X*nb_pxl_Y;
	nb_8x8_total = nb_pxl_total/64;
	nb_8x8_X = nb_pxl_X/8;

	close( handle );
}

//
void Sauve_TGA( PIXEL_RGB *image, char *fichier )
{
 int		handle;
 int		i, j;
 int		idx_srce, idx_dest;
 PIXEL_TGA	*image_tmp;

	// -------- allocation d'un buffer temporaire de chargement
	image_tmp = (PIXEL_TGA *)malloc( nb_pxl_total*sizeof(PIXEL_TGA) );

	// -------- conversion 32 bit -> 24 bits et flip vertical de l'image
	idx_dest = (nb_pxl_Y-1)*nb_pxl_X;
	idx_srce = 0;
	for( i = 0; i < nb_pxl_Y; i++ )
	{
		for( j = 0; j < nb_pxl_X; j++ )
		{
			image_tmp[idx_dest].B   = image[idx_srce].B;
			image_tmp[idx_dest].G   = image[idx_srce].G;
			image_tmp[idx_dest++].R = image[idx_srce++].R;
		}
		idx_dest -= 2*nb_pxl_X;
	}

	// -------- ecriture TGA

	if( ( handle = open( fichier, O_WRONLY | O_BINARY | O_CREAT | O_TRUNC, S_IREAD | S_IWRITE ) ) < 0 )
	{
		Erreur("Impossible d'ouvrir le fichier destination\n");
	}
	if( write( handle, &tga_entete, sizeof(TGA_ENTETE) ) != sizeof(TGA_ENTETE) )
	{
		Erreur("Problme lors de l'criture de l'entete du fichier destination\n");
	}
	if( write( handle, image_tmp, nb_pxl_total*sizeof(PIXEL_TGA) ) != nb_pxl_total*sizeof(PIXEL_TGA) )
	{
		Erreur("Problme lors de l'criture du corp du fichier destination\n");
	}

	// -------- libration du buffer temporaire de chargement
	free( image_tmp );

	close( handle );
}
*/

//
//
//

/*
void	Init_Decompression(	int				jpeg_qualite_lum,
							int				jpeg_qualite_chr,
							int				nb_pxl_en_largeur,
							int				bits_mode );
{
 int	i, j, k;
 int	quanti_lum[64];
 int	quanti_chr[64];

	Init_Decentrage();
	Calcul_Luminance8( facteur_qualite, jpeg_qualite_lum );
    Normalise_Inverse8( quanti_lum );
    Calcul_Chrominance8( facteur_qualite, jpeg_qualite_chr );
    Normalise_Inverse8( quanti_chr );

	j = 0;
	for( i = 0; i < 64; i++ )
	{
		k = zigzag8[i];
		quanti_jpeg[j++] = quanti_lum[k];
		quanti_jpeg[j++] = quanti_chr[k];
		quanti_jpeg[j++] = quanti_chr[k];
	}
}
  
int		Decomprime_Bloc(	unsigned short int*		image,
							int						indice,
							char*					buffer_jpg );
{
}
*/	

/*	
void main()
{
	buf_jpg			= (unsigned char *)			malloc( 65536*2 );

	Charge_JPG( srce );

	Init_Decentrage();

	ref_rgb			= (PIXEL_RGB *)				malloc( nb_pxl_total*sizeof(PIXEL_RGB) );
	ref_jpg			= (PIXEL_RGB *)				malloc( nb_pxl_total*sizeof(PIXEL_RGB) );
	tmp_yuv			= (PIXEL_YUV *)				malloc( nb_pxl_total*sizeof(PIXEL_YUV) );

	
	JPEG_Decompression( tmp_yuv );
	Convertit_Image_YUV_RGB( tmp_yuv, ref_jpg );
	
	Sauve_TGA( ref_jpg, dest );

	free( tmp_yuv );
	free( ref_jpg );
	free( ref_rgb );
	free( buf_jpg );
} */

//int Mpushstrblocn(mmachine m,char *buf,int l);

int JDecomp(mmachine m)
{
  int i,Jpg;
/*	buf_jpg			= (unsigned char *)			malloc( 65536*2 );*/

	jpeg_qualite=MMpull(m)>>1;
  if (jpeg_qualite<1) jpeg_qualite=1;
  else if (jpeg_qualite>99) jpeg_qualite=99;
	nb_pxl_X=MMpull(m)>>1;
	nb_pxl_Y=MMpull(m)>>1;
	taille_jpg=nb_pxl_X*nb_pxl_Y;
  Jpg=MMget(m,0)>>1;
  if (Jpg==NIL) return 0;
  MMpull(m);
  buf_jpg=MMstartstr(m,Jpg);

/*  read( handle, buf_jpg, taille_jpg );*/
	
	nb_pxl_total = nb_pxl_X*nb_pxl_Y;
	nb_8x8_total = nb_pxl_total/64;
	nb_8x8_X = nb_pxl_X/8;

	Init_Decentrage();

	ref_rgb			= (PIXEL_RGB *)				malloc( nb_pxl_total*sizeof(PIXEL_RGB) );
	ref_jpg			= (PIXEL_RGB *)				malloc( nb_pxl_total*sizeof(PIXEL_RGB) );
	tmp_yuv			= (PIXEL_YUV *)				malloc( nb_pxl_total*sizeof(PIXEL_YUV) );

	
	JPEG_Decompression( tmp_yuv );
	Convertit_Image_YUV_RGB( tmp_yuv, ref_jpg );
	
/*	Sauve_TGA( ref_jpg, dest );*/

  i=Mpushstrblocn(m,(char *)ref_jpg,nb_pxl_total*4);

  free( tmp_yuv );
	free( ref_jpg );
	free( ref_rgb );
/*	free( buf_jpg );*/
  return i;
} 
