/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////*****************************************************************************************************////////////////
///////////////** 																									**///////////////
//////////////**								~ Zoo Engine (Moteur 3D pour SCOL) ~								 **//////////////
/////////////**											  ~ version 1.0 ~											  **/////////////
/////////////**																										  **/////////////
//////////////**										par Pacme DANHIEZ		  									 **//////////////
///////////////** 																									**///////////////
////////////////*****************************************************************************************************////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///																																  ///
///		FICHIER :	ZooScene.h																									  ///
///																																  ///
///		NATURE	:	Dfinition de la classe de visualisation de la scene - Mthodes principales (IDLE, DISPLAY, etc) -			  ///
///																																  ///
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////



#ifndef __ZOODETECT_H__
#define __ZOODETECT_H__




#include	"..\SCOL\winuser.h"
#include	"..\Basic\ZooStd.h"




class ZDetector
{
protected:




public:

	void	CheckOSVersion();
	void	CheckMemorySatus();
	void	CheckOpenGLdriverInfo();

	char*	CheckOpenGLvendor();
	char*	CheckOpenGLrenderer();
	char*	CheckOpenGLdriver();
	char*	CheckOpenGLextensions();


};





#endif