/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////*****************************************************************************************************////////////////
///////////////** 																									**///////////////
//////////////**								~ Zoo Engine (Moteur 3D pour SCOL) ~								 **//////////////
/////////////**											  ~ version 1.0 ~											  **/////////////
/////////////**																										  **/////////////
//////////////**										par Pacme DANHIEZ		  									 **//////////////
///////////////** 																									**///////////////
////////////////*****************************************************************************************************////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///																																  ///
///		FICHIER :	ZooSoft.h																									  ///
///																																  ///
///		NATURE	:	Dfinition des principales classes qui dfinissent le mode 3D												  ///
///																																  ///
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////








#ifndef __ZOOSOFT_H__
#define __ZOOSOFT_H__



#include	"..\Basic\ZooWorld.h"













int Color24To15(int Color);
int Color24To16(int Color);

int RGBto15(int r,int g,int b);









int		InitPaletteSOFT();
int		InitFogPalette(int color);






void	Render_FLAT(short *buffer, CELL *Zbuf, int tailleX, ZFaceSOFT *face, int xa, int xb, float za, float zb, int yscan);
void	Render_TRANSP_NOTEX(short *buffer, CELL *Zbuf, int tailleX, ZFaceSOFT *face, int xa, int xb, float za, float zb, int yscan);
void	Render_TEX(short *buffer, CELL *Zbuf, int tailleX, ZFaceSOFT *face, int xa, int xb, float za, float zb, int yscan);
void	Render_TRANSP_TEX_1(short *buffer, CELL *Zbuf, int tailleX, ZFaceSOFT *face, int xa, int xb, float za, float zb, int yscan);
void	Render_TRANSP_TEX_2(short *buffer, CELL *Zbuf, int tailleX, ZFaceSOFT *face, int xa, int xb, float za, float zb, int yscan);

int		fillRenderBuffer(mmachine m, RenderBuffer *buffer, int surf);

int		M3Dline(RenderBuffer *rb, float x1, float y1, float x2, float y2, int col);


int		InitPaletteSOFT();
int		InitFogPalette(int color);








#endif