/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////*****************************************************************************************************////////////////
///////////////** 																									**///////////////
//////////////**								~ Zoo Engine (Moteur 3D pour SCOL) ~								 **//////////////
/////////////**											  ~ version 1.0 ~											  **/////////////
/////////////**																										  **/////////////
//////////////**										par Pacme DANHIEZ		  									 **//////////////
///////////////** 																									**///////////////
////////////////*****************************************************************************************************////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///																																  ///
///		FICHIER :	ZooWorld.h																									  ///
///																																  ///
///		NATURE	:	Dfinition des principales classes qui dfinissent le mode 3D												  ///
///																																  ///
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////








#ifndef __ZOOSOUND_H__
#define __ZOOSOUND_H__



#include	"..\Basic\ZooStd.h"
#include	"..\Scene Graph\ZooNodeGraph.h"
#include	"..\Sound\HUtil.h"








///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///		ZSound Class
///
///		- Classe des sons 3D
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
class ZSound : public ZNodeGraph
{
public:
	// donnes sonores
	WSound	*pWSound ;
	int		flag ;

	///////////////////////////////////////////////////////////////////////////
	/// Constructor															///
	///////////////////////////////////////////////////////////////////////////
	ZSound(int s3d, int linked);

	///////////////////////////////////////////////////////////////////////////
	/// Copy Constructor													///
	///////////////////////////////////////////////////////////////////////////
	//ZSound( int s3d, const ZSound &z ) ;

	///////////////////////////////////////////////////////////////////////////
	/// Destructor															///
	///////////////////////////////////////////////////////////////////////////
	~ZSound();

	///////////////////////////////////////////////////////////////////////////
	/// Update parameters of the 3D sound									///
	///////////////////////////////////////////////////////////////////////////
	void update( ZSound* pZSound );
};


/*

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///		ZSound Class
///
///		- Classe des sons 3D
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
class ZSound : public ZNodeGraph
{

public:
	
	bool		listenermode;
	bool		isH3d ;


	// donnes sonores
	HSound					*pHSound ;
	HListener				*pHListener ;
	DWORD					flag ;  // flag for Direct Sound Secondary buffer creation

	///////////////////////////////////////////////////////////////////////////
	/// Constructor															///
	///////////////////////////////////////////////////////////////////////////
	ZSound(int s3d);

	///////////////////////////////////////////////////////////////////////////
	/// Copy Constructor													///
	///////////////////////////////////////////////////////////////////////////
	ZSound( const ZSound &z ) ;

	///////////////////////////////////////////////////////////////////////////
	/// Destructor															///
	///////////////////////////////////////////////////////////////////////////
	~ZSound();


	///////////////////////////////////////////////////////////////////////////
	/// Setting the member HSound *snd										///
	///////////////////////////////////////////////////////////////////////////
	void load(HSound* newsnd);

	///////////////////////////////////////////////////////////////////////////
	/// Setting the member HListener *listener								///
	///////////////////////////////////////////////////////////////////////////
	void load(HListener* newlistener);

	///////////////////////////////////////////////////////////////////////////
	/// Setting the member HListener *listener								///
	///////////////////////////////////////////////////////////////////////////
	void unload() ;

	///////////////////////////////////////////////////////////////////////////
	/// Update parameters of the 3D sound									///
	///////////////////////////////////////////////////////////////////////////
	void update( ZSound* pZSound );
};

*/



#endif